Vbasy

About me

Developer Information
Name Vbasy
Email address
User since October 10, 2011
Number of add-ons developed 0 add-ons
Average rating of developer's add-ons Not yet rated

My Reviews

Google Docs Viewer (PDF, DOCX, PPTX, XLSX, etc...)

could not be installed Rated 4 out of 5 stars

Google Docs Viewer 1.8 could not be installed because it is not compatible with Thunderbird 3.1.15.

This review is for a previous version of the add-on (1.8).